You must pass individual tests to obtain marks.
The Mark of the Seeker is only given to those who pass the Trial of the Seeker. You must be above level 35 to take the test. And to take the Trial of the Seeker, visit Master Dufner of Giran Castle Town.
The Mark of Trust is only given to those who pass the Testimony of Trust. You must be above level 37 to take the test. To take the Testimony of Trust, visit High Priest Hollint at the Town of Oren.
And finally, the Mark of the Searcher is only given to those who pass the Test of the Searcher. You must be above level 39 to take the test. To take the Test of the Searcher, visit Master Luther at the Hunters' Village.
Return